#
Summary: Fixes the lack of a sym link to /usr/lib/libg2c.a
Name: zz_libg2c.a_change
Version: 3.2.3
Release: 1
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux v9.0.x
Vendor: Fermilab
Packager: Troy Dawson
requires: gcc-g77
%description
There is a symbolic link missing in the gcc-g77 package from /usr/lib/libg2c.a
to /usr/lib/gcc-lib/i386-redhat-linux/3.2.3/libg2c.a.  This adds that
symbolic link.

%files
%post
if [ ! -L /usr/lib/libg2c.a ]
then
  if [ -f /usr/lib/gcc-lib/i386-redhat-linux/3.2.3/libg2c.a ]
  then
        ln -s /usr/lib/gcc-lib/i386-redhat-linux/3.2.3/libg2c.a /usr/lib/libg2c.a
  fi
else  # Already a link.  Probably from our last version. So make sure
      # we have the new version and then remove the old link and link in the new
  if [ -f /usr/lib/gcc-lib/i386-redhat-linux/3.2.3/libg2c.a ] 
  then
	rm /usr/lib/libg2c.a
	ln -s /usr/lib/gcc-lib/i386-redhat-linux/3.2.3/libg2c.a /usr/lib/libg2c.a
  fi
fi
%postun
if [ "$1" = "0" ] ; then
	if [ -L /usr/lib/libg2c.a ]
	then
		rm -f /usr/lib/libg2c.a
	fi
fi
